ARITHMETIC(6)

NAME
arithmetic - quiz on simple arithmetic

SYNOPSIS
arithmetic [-o +-x/] [-r range]

DESCRIPTION
arithmetic asks you to solve problems in simple arithmetic. Each question must be answered correctly before going on to the next. After every 20 problems, it prints the score so far and the time taken. You can quit at any time by typing the interrupt or end-of-file character.

The options are as follows:

-o +-x/
    By default, arithmetic asks questions on addition of numbers from 0 to 10, and corresponding subtraction. By supplying one or more of the characters +-x/, you can ask for problems in addition, subtraction, multiplication, and division, respectively. If you give one of these characters more than once, that kind of problem will be asked correspondingly more often.

-r range
    If a range is supplied, arithmetic selects the numbers in its problems in the following way. For addition and multiplication, the numbers to be added or multiplied are between 0 and range, inclusive. For subtraction and division, both the required result and the number to divide by or subtract will be between 0 and range. (Of course, arithmetic will not ask you to divide by 0.) The default range is 10.

When you get a problem wrong, arithmetic will remember the numbers involved, and will tend to select those numbers more often than others, in problems of the same sort. Eventually it will forgive and forget.

arithmetic cannot be persuaded to tell you the right answer. You must work it out for yourself.

DIAGNOSTICS

What? if you get a question wrong.

Right! if you get it right.

Please type a number. if arithmetic doesn't understand what you typed.

SEE ALSO
bc(1), dc(1)